ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('endrem:nether_eye')
    .input('minecraft:nether_star')
    .input('64x minecraft:nether_bricks')
    .input('16x gobber2:gobber2_ingot_nether')
    .input('allthecompressed:soul_sand_9x')
    .input('allthecompressed:netherrack_9x')
    .sacrifice('blaze', 3)
    .sacrifice('wither_skeleton', 3)
    .sacrificeRegion(5, 5)
    .recipeTime(40)
    .blockBelow('minecraft:nether_bricks')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('endrem:exotic_eye')
    .input('enigmaticlegacy:ocean_stone')
    .input('64x minecraft:prismarine_bricks')
    .input('minecraft:heart_of_the_sea')
    .input('forbidden_arcanus:sea_prism')
    .input('64x iceandfire:sea_serpent_fang')
    .sacrifice('iceandfire:sea_serpent', 1)
    .sacrificeRegion(10, 10)
    .recipeTime(40)
    .blockBelow('minecraft:prismarine_bricks')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('iceandfire:spawn_egg_sea_serpent')
    .input('16x iceandfire:sea_serpent_scales_teal')
    .input('16x iceandfire:sea_serpent_scales_red')
    .input('16x iceandfire:sea_serpent_scales_purple')
    .input('16x iceandfire:sea_serpent_scales_blue')
    .input('16x iceandfire:sea_serpent_scales_bronze')
    .input('16x iceandfire:sea_serpent_scales_deepblue')
    .input('16x iceandfire:sea_serpent_scales_green')
    .recipeTime(40)
    .blockBelow('minecraft:prismarine_bricks')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('endrem:cryptic_eye')
    .input('192x create:experience_block')
    .input('enigmaticlegacy:xp_scroll')
    .input('gobber2:gobber2_medallion_exp')
    .input('ars_nouveau:greater_experience_gem')
    .recipeTime(40)
    .blockBelow('create:experience_block')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('endrem:undead_eye')
    .input('endrem:undead_soul')
    .input('allthecompressed:bone_block_9x')
    .input('64x minecraft:rotten_flesh')
    .input('64x eidolon:death_essence')
    .sacrifice('minecraft:zombie', 3)
    .sacrifice('minecraft:skeleton', 3)
    .sacrificeRegion(5, 5)
    .recipeTime(40)
    .blockBelow('minecraft:bone_block')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('endrem:witch_eye')
    .input('endrem:witch_pupil')
    .input('16x reliquary:witch_hat')
    .input('64x minecraft:glass_bottle')
    .input('64x eidolon:death_essence')
    .input('thermal:potion_infuser')
    .sacrifice('minecraft:witch', 3)
    .sacrificeRegion(5, 5)
    .recipeTime(40)
    .blockBelow('minecraft:bone_block')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('endrem:cursed_eye')
    .input('64x enigmaticlegacy:evil_essence')
    .input('enigmaticlegacy:cursed_scroll')
    .input('allthecompressed:gold_block_9x')
    .input('64x eidolon:death_essence')
    .input('64x forbidden_arcanus:corrupted_arcane_crystal')
    .sacrifice('minecraft:zombie', 3)
    .sacrifice('minecraft:skeleton', 3)
    .sacrificeRegion(5, 5)
    .recipeTime(40)
    .blockBelow('minecraft:gold_block')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('endrem:rogue_eye')
    .input('64x iceandfire:myrmex_jungle_resin')
    .input('allthecompressed:jungle_log_9x')
    .input('64x minecraft:mossy_stone_bricks')
    .input('64x iceandfire:troll_leather_forest')
    .sacrifice('iceandfire:troll', 1)
    .sacrificeRegion(7, 7)
    .recipeTime(40)
    .blockBelow('minecraft:jungle_log')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('iceandfire:spawn_egg_troll')
    .input('24x iceandfire:troll_leather_forest')
    .input('24x iceandfire:troll_leather_frost')
    .input('24x iceandfire:troll_leather_mountain')
    .input('iceandfire:troll_skull')
    .recipeTime(40)
    .blockBelow('minecraft:jungle_log')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('endrem:guardian_eye')
    .input('ars_caelum:ritual_elder_summon')
    .input('64x minecraft:prismarine_crystals')
    .input('32x reliquary:guardian_spike')
    .input('forbidden_arcanus:sea_prism')
    .input(Item.of('hostilenetworks:prediction', '{data_model:{id:"hostilenetworks:elder_guardian"}}'))
    .sacrifice('minecraft:elder_guardian', 1)
    .sacrificeRegion(10, 10)
    .recipeTime(40)
    .blockBelow('minecraft:prismarine')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('endrem:guardian_eye')
    .input('32x biomancy:mob_fang')
    .input('64x minecraft:emerald')
    .input('minecraft:totem_of_undying')
    .input('irons_spellbooks:archevoker_helmet')
    .input(Item.of('hostilenetworks:prediction', '{data_model:{id:"hostilenetworks:evoker"}}'))
    .sacrifice('minecraft:evoker', 2)
    .sacrificeRegion(5, 5)
    .recipeTime(40)
    .blockBelow('minecraft:emerald_block')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('endrem:black_eye')
    .input('64x minecraft:gold_ingot')
    .input('create:schematicannon')
    .input(Item.of('alexsmobs:skelewag_sword', '{Damage:0}'))
    .input('explorerscompass:explorerscompass')
    .input('minecraft:map')
    .input('64x minecraft:barrel')
    .sacrifice('alexsmobs:skelewag', 2)
    .sacrificeRegion(5, 5)
    .recipeTime(40)
    .blockBelow('minecraft:barrel')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('endrem:cold_eye')
    .input('eidolon:wraith_heart')
    .input('64x aether:cold_aercloud')
    .input('allthecompressed:snow_9x')
    .input('reliquary:frozen_core')
    .input('twilightforest:snow_queen_trophy')
    .sacrifice('minecraft:snow_golem', 3)
    .sacrificeRegion(5, 5)
    .recipeTime(40)
    .blockBelow('minecraft:snow_block')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('endrem:corrupted_eye')
    .input('enigmaticlegacy:corrupted_tome')
    .input('32x forbidden_arcanus:corrupted_arcane_crystal')
    .input('16x forbidden_arcanus:corrupti_dust')
    .input('32x bloodmagic:corrupted_dust')
    .input('64x forbidden_arcanus:corrupt_soul')
    .sacrifice('minecraft:zombie', 1)
    .sacrifice('minecraft:creeper', 1)
    .sacrifice('minecraft:skeleton', 1)
    .sacrifice('minecraft:spider', 1)
    .sacrificeRegion(5, 5)
    .recipeTime(60)
    .blockBelow('biomancy:primal_flesh')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('endrem:lost_eye')
    .input(Item.of('forbidden_arcanus:reinforced_deorum_blacksmith_gavel', '{Damage:0}'))
    .input('cataclysm:ignitium_upgrade_smithing_template')
    .input('minecraft:anvil')
    .input('blue_skies:horizonite_forge')
    .input('32x bloodmagic:ingot_hellforged')
    .input('64x apotheosis:mythic_material')
    .recipeTime(60)
    .blockBelow('minecraft:smithing_table')});

ServerEvents.recipes(event => {
    event.recipes.summoningrituals.altar("minecraft:ender_eye")
    .itemOutput('endrem:old_eye')
    .input('64x ad_astra:venus_sand')
    .input('allthecompressed:sand_9x')
    .input('16x apotheosis:epic_material')
    .input('16x iceandfire:deathworm_chitin_yellow')
    .input('16x iceandfire:deathworm_chitin_white')
    .input('16x iceandfire:deathworm_chitin_red')
    .recipeTime(60)
    .blockBelow('cataclysm:polished_sandstone')});